Loyalty.lt
Xml import

Import products from XML URL

POST/{locale}/shop/xml-import/from-url

Authorization

apiKey apiSecret
X-API-Key<token>

Partner API key from the Partners Portal. Always sent together with X-API-Secret.

In: header

X-API-Secret<token>

Partner API secret. Always sent together with X-API-Key.

In: header

Path Parameters

locale*string

Value in

  • "lt"
  • "en"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/lt/shop/xml-import/from-url" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "message": "string",  "data": {    "products_created": 0,    "products_updated": 0,    "offers_created": 0,    "offers_updated": 0,    "errors": [      "string"    ]  }}